## org.eclipse.emf.codegen.merge.java.facade.ast
Class ASTJCompilationUnit.AbstractRewriter

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.ast.ASTJCompilationUnit.AbstractRewriter

Direct Known Subclasses:
  ASTJCompilationUnit.NodeCommenter, ASTJCompilationUnit.NodeContentsReplacer

Enclosing class:
  ASTJCompilationUnit

    protected abstract class ASTJCompilationUnit.AbstractRewriter

extends java.lang.Object

Base class for additional rewriters used during rewrite process.

Constructor Summary
`protected` `ASTJCompilationUnit.AbstractRewriter()`

Method Summary
`protected abstract TextEdit` `addEdits(TextEdit existingEdits, IDocument doc)`
`TextEdit` `createEdits(TextEdit existingEdits, IDocument doc)` Creates additional edits to be applied on the document

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTJCompilationUnit.AbstractRewriter

    protected ASTJCompilationUnit.AbstractRewriter()

Method Detail

### createEdits

    public TextEdit createEdits(TextEdit existingEdits,
                                IDocument doc)

  Creates additional edits to be applied on the document

  Parameters:
    `existingEdits` - existing edits on
    `doc` - document after call to `ASTRewrite.rewriteAST()` or `ASTRewrite.rewriteAST(IDocument, Map)`.
  Returns:
    existingEdits with new edits added

### addEdits

    protected abstract TextEdit addEdits(TextEdit existingEdits,
                                         IDocument doc)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.